#!/usr/bin/env python
import coral
import coral ; metamodel=coral.lang.UML14
print
print
print
print
print
print
print
print "--> Now loading carpark_robustxmi.xmi"

m = coral.loadModel("carpark_robustxmi.xmi")
assert(m)
print "--> Succeeded in loading"
assert(m.name == "MyModel")
print m.visibility
assert(m.visibility == "private")
